Security Breech on Many Websites: The Passwords You Need to Change Right Now

heartbleedThere is a security vulnerability on Secure Servers (SSL) that has potentially affected many websites.  If you have accounts on the following you should change your password immediately:  [Mashable has a full list]

  • Facebook
  • Instagram
  • Pinterest
  • Tumblr
  • Twitter – maybe
  • Google Apps [Gmail, Youtube, Play, Wallet]
  • Yahoo
  • Yahoo Mail
  • Amazon Web Services
  • GoDaddy
  • eBay – maybe
  • Intuit (TurboTax)
  • H&R Block – maybe
  • IRS – maybe
  • Dropbox
  • Minecraft
  • OKCupid
  • Netflix – maybe
  • SoundCloud
  • Wunderlist
Print Friendly

Speak Your Mind

*